Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 2396)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Index.java	(revision 2397)
@@ -70,77 +70,79 @@
  * 
  * @author mdecorde
  */
-public class Index extends TXMResult  {
-
+public class Index extends TXMResult {
+	
 	/** The counts. */
 	protected LinkedHashMap<String, ArrayList<Integer>> counts = new LinkedHashMap<String, ArrayList<Integer>>();
-
+	
 	/** The currentpartid. */
 	protected int currentpartid = 0;
-
+	
 	/** The current Fmax value. */
 	protected int Fmax = 0;
+	
 	/** The current Fmin value. */
 	protected int Fmin = 9999999;
-
+	
 	/** The current lines. */
 	protected List<Line> lines = new ArrayList<Line>();
+	
 	/** The current number of lines. */
 	protected int nTotalTokens = 0;
-
+	
 	/** The writer. */
 	// FIXME: should be in an exporter extension
 	@Deprecated
 	private BufferedWriter writer;
-
+	
 	/**
 	 * Maximum frequency filter value.
 	 */
-	@Parameter(key=TXMPreferences.F_MAX)
+	@Parameter(key = TXMPreferences.F_MAX)
 	protected Integer pFmaxFilter;
-
+	
 	/**
 	 * Minimum frequency filter value.
 	 */
-	@Parameter(key=TXMPreferences.F_MIN)
+	@Parameter(key = TXMPreferences.F_MIN)
 	protected Integer pFminFilter;
-
+	
 	/**
 	 * Number of lines to display per page.
 	 */
-	@Parameter(key=TXMPreferences.N_LINES_PER_PAGE)
+	@Parameter(key = TXMPreferences.N_LINES_PER_PAGE)
 	protected Integer pNLinesPerPage;
-
+	
 	/**
 	 * The word properties to display.
 	 */
-	@Parameter(key=TXMPreferences.UNIT_PROPERTIES)
+	@Parameter(key = TXMPreferences.UNIT_PROPERTIES)
 	protected List<WordProperty> pProperties;
-
+	
 	/**
 	 * The string used to separated property values.
 	 */
-	@Parameter(key=IndexPreferences.PROPERTIES_SEPARATOR)
+	@Parameter(key = IndexPreferences.PROPERTIES_SEPARATOR)
 	protected String pPropertiesSeparator;
-
+	
 	/**
 	 * The CQP query.
 	 */
-	@Parameter(key=TXMPreferences.QUERY)
+	@Parameter(key = TXMPreferences.QUERY)
 	protected IQuery pQuery;
-
+	
 	/**
 	 * The line index of the current index page.
 	 */
-	@Parameter(key=IndexPreferences.N_TOP_INDEX)
+	@Parameter(key = IndexPreferences.N_TOP_INDEX)
 	private Integer pTopIndex;
-
+	
 	/**
 	 * The vmax filter value parameter.
 	 */
-	@Parameter(key=TXMPreferences.V_MAX)
+	@Parameter(key = TXMPreferences.V_MAX)
 	protected Integer pVmaxFilter;
-
+	
 	/**
 	 * 
 	 * @param parent
@@ -148,12 +150,12 @@
 	public Index(CQPCorpus parent) {
 		super(parent);
 	}
-
+	
 	/**
 	 * 
 	 * @param parametersNodePath
 	 */
-	public Index(String parametersNodePath)	{
+	public Index(String parametersNodePath) {
 		super(parametersNodePath);
 	}
 	
@@ -161,16 +163,16 @@
 	 * 
 	 * @param parametersNodePath
 	 */
-	public Index(String parametersNodePath, TXMResult parent)	{
+	public Index(String parametersNodePath, TXMResult parent) {
 		super(parametersNodePath, parent);
 	}
-
-
+	
+	
 	@Override
 	protected final boolean _compute() throws Exception {
-
 		
 		
+		
 		// reset all stored data
 		if (lines != null) {
 			lines.clear();
@@ -178,49 +180,50 @@
 			currentpartid = 0;
 			nTotalTokens = 0;
 		}
-
+		
 		// FIXME: tests to not recompute all on fmax, vmax, etc. changes
 		// It works but the problem is the cut() method that really cut the lines rather than doing getLines() that could filtering and returns only the lines between fmin/fmax
-		//		if(this.hasParameterChanged(TXMPreferences.QUERY) || this.hasParameterChanged(TXMPreferences.UNIT_PROPERTIES))	{
-
+		// if(this.hasParameterChanged(TXMPreferences.QUERY) || this.hasParameterChanged(TXMPreferences.UNIT_PROPERTIES)) {
+		
 		if (!_computeLines()) {
 			Log.severe("Error while computing lines. Aborting.");
 			return false;
 		}
-		//	}
-
+		// }
+		
 		this.filterLines();
-
+		
 		this.subTask("Sorting...");
-
+		
 		this.sortLines(SortMode.FREQUNIT, true);
-
+		
 		this.cut();
-
+		
 		this.dirty = false;
 		this.pTopIndex = 0;
-
+		
 		this.subTask("Index done.");
-
+		
 		return true;
 	}
-
-
+	
+	
 	/**
-	 * Extends this method to change the way the line are computed. the lines are sorted and filterd afterward 
+	 * Extends this method to change the way the line are computed. the lines are sorted and filterd afterward
+	 * 
 	 * @return true if the index lines hae been computed
 	 * @throws Exception
 	 */
 	protected boolean _computeLines() throws Exception {
 		if (parent instanceof CQPCorpus) {
-
-			if (!scanCorpus((CQPCorpus)parent)) {
+			
+			if (!scanCorpus((CQPCorpus) parent)) {
 				lines = new ArrayList<Line>();
 				return false;
 			}
-
+			
 			setLineCounts();
-
+			
 			getAllLines();
 			return true;
 		}
@@ -229,7 +232,7 @@
 			return false;
 		}
 	}
-
+	
 	/**
 	 * Creates a CQL query string from the specified Index lines.
 	 *
@@ -241,7 +244,7 @@
 		if (lines.size() == 0) {
 			return query;
 		}
-
+		
 		Line line = lines.get(0);
 		int nbToken = line.getUnitsProperties().get(0).size();
 		int nbProps = line.getProperties().size();
@@ -251,7 +254,7 @@
 			query += "["; //$NON-NLS-1$
 			for (int p = 0; p < nbProps; p++) {
 				if (props.get(p) instanceof StructuralUnitProperty) {
-					query += "_."+((StructuralUnitProperty)props.get(p)).getFullName() + "=\""; //$NON-NLS-1$ //$NON-NLS-2$
+					query += "_." + ((StructuralUnitProperty) props.get(p)).getFullName() + "=\""; //$NON-NLS-1$ //$NON-NLS-2$
 				}
 				else {
 					query += props.get(p) + "=\""; //$NON-NLS-1$
@@ -272,10 +275,11 @@
 		query = query.substring(0, query.length() - 1);
 		return query;
 	}
-
-
+	
+	
 	/**
 	 * Creates a Query list from the specified Index lines.
+	 * 
 	 * @param lines
 	 * @return
 	 */
@@ -302,11 +306,11 @@
 			queries.add(new CQLQuery(query));
 		}
 		return queries;
-
+		
 	}
-
-
-
+	
+	
+	
 	/**
 	 * This method alter the index first column frequencies using a table stored in the R workspace
 	 * 
@@ -317,69 +321,69 @@
 	 * @throws REXPMismatchException
 	 */
 	public boolean alterFrequencies(String referenceCorpus) throws RWorkspaceException, REXPMismatchException {
-		String[] ref_forms = RWorkspace.getRWorkspaceInstance().eval("rownames("+referenceCorpus+")").asStrings(); //$NON-NLS-1$ //$NON-NLS-2$
-		int[] ref_freqs = RWorkspace.getRWorkspaceInstance().eval(referenceCorpus+"[,1]").asIntegers(); //$NON-NLS-1$
+		String[] ref_forms = RWorkspace.getRWorkspaceInstance().eval("rownames(" + referenceCorpus + ")").asStrings(); //$NON-NLS-1$ //$NON-NLS-2$
+		int[] ref_freqs = RWorkspace.getRWorkspaceInstance().eval(referenceCorpus + "[,1]").asIntegers(); //$NON-NLS-1$
 		if (ref_forms.length != ref_freqs.length) {
-			System.out.println("Cannot alter index frequencies with the '"+referenceCorpus+"' empty table.");
+			System.out.println("Cannot alter index frequencies with the '" + referenceCorpus + "' empty table.");
 			return false;
 		}
 		HashMap<String, Integer> ref_counts = new HashMap<String, Integer>();
-		for(int i = 0 ; i < ref_forms.length ; i++) {
+		for (int i = 0; i < ref_forms.length; i++) {
 			ref_counts.put(ref_forms[i], ref_freqs[i]);
 		}
-
+		
 		for (org.txm.index.core.functions.Line l : this.getAllLines()) {
 			String key = l.toString();
 			if (ref_counts.containsKey(key)) {
-				int[] f = {ref_counts.get(key)};
+				int[] f = { ref_counts.get(key) };
 				l.setCounts(f, 0);
 			}
 		}
 		this.updateFminFmax();
 		return true;
-		//voc.toTxt(new File("/home/mdecorde/TEMP/after.tsv"), "UTF-8", "\t", "");
+		// voc.toTxt(new File("/home/mdecorde/TEMP/after.tsv"), "UTF-8", "\t", "");
 	}
-
+	
 	@Override
 	public boolean canCompute() {
 		if (getCorpus() == null) {
 			Log.fine("Corpus not set."); //$NON-NLS-1$
 			return false;
 		}
-
+		
 		if (pProperties == null || pProperties.size() == 0) {
 			Log.fine("No property set."); //$NON-NLS-1$
 			return false;
 		}
-
+		
 		if (pQuery == null || pQuery.getQueryString().length() == 0) {
 			Log.fine("No query set."); //$NON-NLS-1$
 			return false;
 		}
-
+		
 		return true;
 	}
-
+	
 	@Override
 	public boolean saveParameters() {
-
+		
 		this.saveParameter(TXMPreferences.UNIT_PROPERTIES, WordProperty.propertiesToString(pProperties));
-
+		
 		if (pQuery != null) {
 			this.saveParameter(TXMPreferences.QUERY, pQuery.getQueryString());
 		}
-
-
+		
+		
 		return true;
 	}
-
+	
 	@Override
 	public boolean loadParameters() {
 		this.pProperties = (List<WordProperty>) Property.stringToProperties(getCorpus(), this.getStringParameterValue(TXMPreferences.UNIT_PROPERTIES));
 		this.pQuery = new CQLQuery(this.getStringParameterValue(TXMPreferences.QUERY));
 		return true;
 	}
-
+	
 	@Override
 	public void clean() {
 		try {
@@ -387,11 +391,12 @@
 				this.writer.flush();
 				this.writer.close();
 			}
-		} catch (IOException e) {
+		}
+		catch (IOException e) {
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 	}
-
+	
 	/**
 	 * keep the vmax lines more frequents.
 	 *
@@ -400,18 +405,18 @@
 		if (pVmaxFilter == null) {
 			return;
 		}
-
+		
 		this.acquireSemaphore();
-
-		Log.fine("Cutting Tmax="+pVmaxFilter);
+		
+		Log.fine("Cutting Tmax=" + pVmaxFilter);
 		// assume the lines are sorted
-		//int before = lines.size();
+		// int before = lines.size();
 		this.lines = this.lines.subList(0, Math.min(lines.size(), pVmaxFilter));
 		this.updateFminFmax();
-
+		
 		this.releaseSemaphore();
 	}
-
+	
 	/**
 	 * Equals.
 	 *
@@ -425,46 +430,46 @@
 					&& this.pFminFilter == index.getFilterFmin()
 					&& this.pFmaxFilter == index.getFilterFmax();
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 		}
 		return false;
 	}
-
-
+	
+	
 	/**
 	 * Removes lines with frequency not in [Fmin,Fmax] range.
 	 *
 	 **/
 	public void filterLines() {
-
+		
 		if (!(pFminFilter > 0 && pFmaxFilter > 0 && pFminFilter <= pFmaxFilter)) {
 			return;
 		}
-
-		Log.fine("Filtering Fmin = " + pFminFilter + " and Fmax = " + pFmaxFilter); //$NON-NLS-1$  //$NON-NLS-2$
-
+		
+		Log.fine("Filtering Fmin = " + pFminFilter + " and Fmax = " + pFmaxFilter); //$NON-NLS-1$ //$NON-NLS-2$
+		
 		for (int i = 0; i < lines.size(); i++) { // for each line
-
+			
 			Line line = lines.get(i);
 			int f = line.getFrequency();
 			if (f < pFminFilter) { // if its frequency is not in the interval, remove it
-
+				
 				nTotalTokens -= line.getFrequency();
 				lines.remove(i);
 				i--;
 				continue; // no need to go further the line is removed
 			}
 			if (f > pFmaxFilter) { // if its frequency is not in the interval, remove it
-
+				
 				nTotalTokens -= line.getFrequency();
 				lines.remove(i);
 				i--;
 			}
 		}
-
+		
 		this.updateFminFmax();
 	}
-
+	
 	/**
 	 * Gets the corpus.
 	 *
@@ -473,36 +478,37 @@
 	public CQPCorpus getCorpus() {
 		return (CQPCorpus) this.parent;
 	}
-
+	
 	@Override
 	public String getDetails() {
-
+		
 		try {
-			Object[] params = new Object[]{this.parent.getSimpleName(), this.getQuery().getQueryString(), this.getProperties(), this.getFmin(), this.getFmax()}; 
+			Object[] params = new Object[] { this.parent.getSimpleName(), this.getQuery().getQueryString(), this.getProperties(), this.getFmin(), this.getFmax() };
 			String str;
 			str = IndexCoreMessages.indexColonCorpusP0queryP1propertiesP2FminP3FmaxP4;
 			return NLS.bind(str, params);
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 			return getName();
 		}
 	}
 	
 	@Override
 	public String getSimpleDetails() {
-
+		
 		try {
 			if (hasBeenComputedOnce) {
 				return TXMCoreMessages.bind(TXMCoreMessages.fminP0fmaxP1tP2vP3, getFmin(), getFmax(), getT(), getV());
-			} else {
+			}
+			else {
 				return getName();
 			}
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 			return getName();
 		}
 	}
-
+	
 	/**
 	 * Gets the filter fmax.
 	 *
@@ -511,7 +517,7 @@
 	public Integer getFilterFmax() {
 		return pFmaxFilter;
 	}
-
+	
 	/**
 	 * Gets the filter fmin.
 	 *
@@ -520,7 +526,7 @@
 	public Integer getFilterFmin() {
 		return pFminFilter;
 	}
-
+	
 	/**
 	 * Gets the filter vmax.
 	 *
@@ -529,7 +535,7 @@
 	public Integer getFilterVmax() {
 		return pVmaxFilter;
 	}
-
+	
 	/**
 	 * Gets the fmax.
 	 *
@@ -538,7 +544,7 @@
 	public int getFmax() {
 		return Fmax;
 	}
-
+	
 	/**
 	 * Gets the fmin.
 	 *
@@ -547,7 +553,7 @@
 	public int getFmin() {
 		return Fmin;
 	}
-
+	
 	/**
 	 * return the lines from le "start"th one to the "end"th one.
 	 *
@@ -556,22 +562,22 @@
 	 * @return the lines
 	 */
 	public List<Line> getLines(int start, int end) {
-		//	long time = System.currentTimeMillis();
+		// long time = System.currentTimeMillis();
 		List<Line> selectedLines = new ArrayList<Line>();
 		if (lines.size() > 0) {
 			start = Math.max(0, start);
 			end = Math.min(end, lines.size());
 			selectedLines = lines.subList(start, end);
-
+			
 			int p = 0;
 			// for each property get the string values of the tokens
 			for (Property property : pProperties) {
-
+				
 				int len = 0;
 				for (Line l : selectedLines) {
 					len += l.UnitsIds.get(p).length;
 				}
-
+				
 				int[] indices = new int[len]; // build the array of indices
 				len = 0;
 				for (Line l : selectedLines) {
@@ -587,7 +593,8 @@
 					else {
 						strs = CorpusManager.getCorpusManager().getCqiClient().id2Str(property.getQualifiedName(), indices);
 					}
-				} catch (Exception e) {
+				}
+				catch (Exception e) {
 					org.txm.utils.logger.Log.printStackTrace(e);
 					return null;
 				}
@@ -606,7 +613,7 @@
 		// System.out.println("Time get lines "+(System.currentTimeMillis()-time));
 		return selectedLines;
 	}
-
+	
 	/**
 	 * return all the lines of the index.
 	 *
@@ -615,7 +622,7 @@
 	public List<Line> getAllLines() {
 		return getLines(0, lines.size());
 	}
-
+	
 	/**
 	 * update the lines counts.
 	 */
@@ -633,25 +640,26 @@
 			line.setCounts(c, -1);
 		}
 	}
-
+	
 	@Override
 	public String getName() {
 		try {
 			return IndexCoreMessages.RESULT_TYPE + ": " + this.getSimpleName();
 		}
-		catch(Exception e) {
+		catch (Exception e) {
 			return this.getEmptyName();
 		}
 	}
-
+	
 	/**
 	 * Gets the number of lines per page.
+	 * 
 	 * @return the number of lines per page
 	 */
 	public Integer getNLinesPerPage() {
-		return pNLinesPerPage ;
+		return pNLinesPerPage;
 	}
-
+	
 	/**
 	 * Gets the properties.
 	 *
@@ -660,16 +668,16 @@
 	public List<WordProperty> getProperties() {
 		return this.pProperties;
 	}
-
-
+	
+	
 	/**
 	 * 
 	 * @return
 	 */
 	public String getPropertySeparator() {
-		return pPropertiesSeparator ;
+		return pPropertiesSeparator;
 	}
-
+	
 	/**
 	 * Gets the query.
 	 *
@@ -678,14 +686,14 @@
 	public IQuery getQuery() {
 		return pQuery;
 	}
-
+	
 	@Override
 	public String getSimpleName() {
 		String name = ""; //$NON-NLS-1$
 		if (pQuery != null && !pQuery.isEmpty()) {
 			name += pQuery.getQueryString();
 			name += ": "; //$NON-NLS-1$
-
+			
 			for (Property s : pProperties) {
 				name += s.getName() + pPropertiesSeparator;
 			}
@@ -698,19 +706,20 @@
 			return this.getEmptyName();
 		}
 	}
-
+	
 	@Override
 	public String getComputingStartMessage() {
-		return TXMCoreMessages.bind(IndexCoreMessages.indexOfP0PropertiesP1InTheP2Corpus, this.pQuery, WordProperty.propertiesToString(this.pProperties).replaceAll(TXMPreferences.LIST_SEPARATOR, ", "), this.getCorpus().getName()); //$NON-NLS-1$
+		return TXMCoreMessages.bind(IndexCoreMessages.indexOfP0PropertiesP1InTheP2Corpus, this.pQuery, WordProperty.propertiesToString(this.pProperties).replaceAll(TXMPreferences.LIST_SEPARATOR,
+				", "), this.getCorpus().getName()); //$NON-NLS-1$
 	}
-
 	
+	
 	@Override
 	public String getComputingDoneMessage() {
-		if(this.lines.isEmpty())	{
+		if (this.lines.isEmpty()) {
 			return TXMCoreMessages.common_noResults;
 		}
-		else	{
+		else {
 			return TXMCoreMessages.bind(TXMCoreMessages.common_P0ItemsForP1Occurrences, this.lines.size(), this.nTotalTokens);
 		}
 	}
@@ -724,7 +733,7 @@
 	public int getT() {
 		return nTotalTokens;
 	}
-
+	
 	/**
 	 * 
 	 * @return
@@ -732,7 +741,7 @@
 	public int getTopIndex() {
 		return pTopIndex;
 	}
-
+	
 	/**
 	 * Gets the v.
 	 *
@@ -741,30 +750,31 @@
 	public int getV() {
 		return lines.size();
 	}
-
+	
 	/**
 	 * count tokens.
 	 *
 	 * @param corpus the corpus to scan
 	 * @return true, if successful
-	 * @throws CqiClientException 
-	 * @throws CqiServerError 
-	 * @throws IOException 
+	 * @throws CqiClientException
+	 * @throws CqiServerError
+	 * @throws IOException
 	 */
 	protected boolean scanCorpus(CQPCorpus corpus) throws Exception {
 		// get the cqp result of the query
-
-		//long time = System.currentTimeMillis();
+		
+		// long time = System.currentTimeMillis();
 		Selection result = null;
 		if (pQuery instanceof CQLQuery) {
-			result = corpus.query((CQLQuery)pQuery, "index", true); //$NON-NLS-1$
-		} else {
+			result = corpus.query((CQLQuery) pQuery, "index", true); //$NON-NLS-1$
+		}
+		else {
 			result = pQuery.getSearchEngine().query(corpus, pQuery, "index", true); //$NON-NLS-1$
 		}
 		boolean isTargetUsed = result.isTargetUsed();
 		int nbresults = result.getNMatch();
 		this.nTotalTokens += nbresults; // get number of tokens
-
+		
 		// System.out.println("nLines : "+nLines);
 		List<? extends Match> matches = null;
 		if (nbresults > 0) {
@@ -799,15 +809,15 @@
 		// lengthOfKeywords));
 		// }
 		// System.out.println("took "+(System.currentTimeMillis()-time));
-
+		
 		// System.out.println("get count data");
-
+		
 		int[] allpositionsarray = new int[allpositions.size()];
 		int pcount = 0;
 		for (int p : allpositions) {
 			allpositionsarray[pcount++] = p;
 		}
-
+		
 		// time = System.currentTimeMillis();
 		HashMap<Property, int[]> propsId = new HashMap<Property, int[]>();
 		for (Property property : pProperties) {
@@ -820,7 +830,8 @@
 					int[] indices = CorpusManager.getCorpusManager().getCqiClient().cpos2Id(property.getQualifiedName(), allpositionsarray);
 					propsId.put(property, indices);
 				}
-			} catch (Exception e) {
+			}
+			catch (Exception e) {
 				org.txm.utils.logger.Log.printStackTrace(e);
 				result.drop();
 				return false;
@@ -844,9 +855,9 @@
 				line.putIds(property, ids);
 			}
 			currentIndex += size;
-
+			
 			String signature = line.getSignature();
-
+			
 			// if the counts contains the signature, increment its corresponding value
 			if (counts.containsKey(signature)) {
 				while (counts.get(signature).size() <= currentpartid) {
@@ -864,7 +875,7 @@
 				}
 				counts.put(signature, tmp);
 				counts.get(signature).set(currentpartid, 1);
-
+				
 				lines.add(line);
 			}
 		}
@@ -872,9 +883,9 @@
 		// System.out.println("Time count lines "+(System.currentTimeMillis()-time));
 		// System.out.println("took "+(System.currentTimeMillis()-time));
 		return true;
-
+		
 	}
-
+	
 	/**
 	 * 
 	 * @param nLinesPerPage
@@ -882,7 +893,7 @@
 	public void setNLinesPerPage(int nLinesPerPage) {
 		this.pNLinesPerPage = Math.max(nLinesPerPage, 1);
 	}
-
+	
 	/**
 	 * 
 	 * @param props
@@ -891,34 +902,37 @@
 		this.pQuery = new CQLQuery("[]"); //$NON-NLS-1$
 		this.pProperties = props;
 	}
-
+	
 	/**
 	 * Sets the query.
+	 * 
 	 * @param query
 	 */
-	public void setQuery(CQLQuery query)	{
+	public void setQuery(CQLQuery query) {
 		this.pQuery = query;
 	}
-
+	
 	/**
 	 * Sets the properties.
+	 * 
 	 * @param properties
 	 */
-	public void setProperties(List<WordProperty> properties)	{
+	public void setProperties(List<WordProperty> properties) {
 		this.pProperties = properties;
 	}
-
+	
 	/**
 	 * Sets the property.
 	 * Clears all existing properties.
+	 * 
 	 * @param property
 	 */
-	public void setProperty(WordProperty property)	{
+	public void setProperty(WordProperty property) {
 		List<WordProperty> properties = new ArrayList<WordProperty>();
 		properties.add(property);
 		this.setProperties(properties);
 	}
-
+	
 	public void setParameters(CQLQuery query, List<WordProperty> props, Integer filterFmin, Integer filterFmax, Integer filterVmax, Integer nLinesPerPage) {
 		this.pQuery = query;
 		this.pProperties = props;
@@ -927,7 +941,7 @@
 		if (filterVmax != null) this.pVmaxFilter = filterVmax;
 		if (nLinesPerPage != null) this.pNLinesPerPage = nLinesPerPage;
 	}
-
+	
 	@Override
 	public boolean setParameters(TXMParameters parameters) {
 		try {
@@ -937,25 +951,26 @@
 			Integer filterFmax = (Integer) parameters.get("filterFmax"); //$NON-NLS-1$
 			Integer filterVmax = (Integer) parameters.get("filterVmax"); //$NON-NLS-1$
 			Integer nLinesPerPage = (Integer) parameters.get("nLinesPerPage"); //$NON-NLS-1$
-
+			
 			this.setParameters(query, props, filterFmin, filterFmax, filterVmax, nLinesPerPage);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.severe("Error while setting parameters of Index: " + e.getLocalizedMessage()); //$NON-NLS-1$
 			Log.printStackTrace(e);
 			return false;
 		}
 		return true;
 	}
-
-
+	
+	
 	public void setTopLine(int i) {
 		pTopIndex = Math.max(i, 0);
 	}
-
+	
 	public void setVMax(int maxFilter) {
 		this.pVmaxFilter = maxFilter;
 	}
-
+	
 	/**
 	 * Sort lines.
 	 *
@@ -968,7 +983,7 @@
 		Collections.sort(lines, lc);
 		this.pTopIndex = 0; // return to the first page
 	}
-
+	
 	/**
 	 * dump the index in the console.
 	 *
@@ -979,7 +994,7 @@
 		System.out.println(NLS.bind(IndexCoreMessages.consoleColonP0, (lines.size())));
 		toConsole(0, lines.size());
 	}
-
+	
 	/**
 	 * dump a part of the index.
 	 *
@@ -989,23 +1004,23 @@
 	 * @throws IOException Signals that an I/O exception has occurred.
 	 */
 	public void toConsole(int from, int to) throws CqiClientException, IOException {
-
+		
 		String header = ""; //$NON-NLS-1$
 		for (Property p : pProperties) {
 			header += (p + pPropertiesSeparator);
 		}
 		header = header.substring(0, header.length() - 1);
 		header += "\tF"; //$NON-NLS-1$
-
+		
 		System.out.println(header);
 		for (int i = from; i < to; i++) {
 			Line ligne = lines.get(i);
-			System.out.print(ligne + "\t" + ligne.getFrequency()); //$NON-NLS-1$ 
+			System.out.print(ligne + "\t" + ligne.getFrequency()); //$NON-NLS-1$
 			System.out.print("\n"); //$NON-NLS-1$
 		}
 		System.out.flush();
 	}
-
+	
 	/**
 	 * Write the lines between from and to on a writer.
 	 *
@@ -1021,35 +1036,35 @@
 	// FIXME: should be in an exporter extension
 	@Deprecated
 	public void toTSVDictionnary(File outfile, String colseparator, String encoding) throws CqiClientException, IOException {
-
-		//String colseparator = "\t";
-
-		this.writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(outfile), encoding)); 
-
+		
+		// String colseparator = "\t";
+		
+		this.writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(outfile), encoding));
+		
 		String header = ""; //$NON-NLS-1$
 		for (Property p : pProperties) {
 			header += (p + colseparator);
 		}
-
-		//header = header.substring(0, header.length() - 1);
+		
+		// header = header.substring(0, header.length() - 1);
 		header += "F"; //$NON-NLS-1$
 		header += "\n"; //$NON-NLS-1$
 		writer.write(header);
-
+		
 		for (Line ligne : lines) {
-
-			for (int i = 0 ; i < pProperties.size() ; i++) {
+			
+			for (int i = 0; i < pProperties.size(); i++) {
 				writer.write(StringUtils.join(ligne.getUnitsProperties().get(i), " ") + colseparator);
 			}
-
+			
 			writer.write(Integer.toString(ligne.getFrequency()));
-
+			
 			writer.write("\n"); //$NON-NLS-1$
 		}
 		writer.flush();
 		writer.close();
 	}
-
+	
 	/**
 	 * Write the lines between from and to on a writer.
 	 *
@@ -1067,27 +1082,27 @@
 	public void toTxt(File outfile, int from, int to, String encoding, String colseparator, String txtseparator)
 			throws CqiClientException, IOException {
 		// NK: writer declared as class attribute to perform a clean if the operation is interrupted
-		this.writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(outfile), encoding)); 
+		this.writer = new BufferedWriter(new OutputStreamWriter(new FileOutputStream(outfile), encoding));
 		// if ("UTF-8".equals(encoding)) writer.write('\ufeff'); // UTF-8 BOM
 		String header = ""; //$NON-NLS-1$
 		for (Property p : pProperties) {
 			header += (p + pPropertiesSeparator);
 		}
-		header = txtseparator+ header.substring(0, header.length() - 1) +txtseparator;
-		header += colseparator+ txtseparator+ "F" + txtseparator; //$NON-NLS-1$
+		header = txtseparator + header.substring(0, header.length() - 1) + txtseparator;
+		header += colseparator + txtseparator + "F" + txtseparator; //$NON-NLS-1$
 		header += "\n"; //$NON-NLS-1$
 		writer.write(header);
-
+		
 		// for(Line ligne: lines)
 		for (int i = from; i < to; i++) {
 			Line ligne = lines.get(i);
-			writer.write(txtseparator+ ligne.toString().replace(txtseparator, txtseparator+txtseparator)+ txtseparator + colseparator + ligne.getFrequency()); 
+			writer.write(txtseparator + ligne.toString().replace(txtseparator, txtseparator + txtseparator) + txtseparator + colseparator + ligne.getFrequency());
 			writer.write("\n"); //$NON-NLS-1$
 		}
 		writer.flush();
 		writer.close();
 	}
-
+	
 	/**
 	 * Write all the lines on a writer.
 	 *
@@ -1102,13 +1117,14 @@
 	public boolean toTxt(File outfile, String encoding, String colseparator, String txtseparator) {
 		try {
 			toTxt(outfile, 0, lines.size(), encoding, colseparator, txtseparator);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			Log.severe(TXMCoreMessages.bind(IndexCoreMessages.error_failedToExportLexiconColonP0, Log.toString(e)));
 			return false;
 		}
 		return true;
 	}
-
+	
 	/**
 	 * checks all lines to update Fmin and Fmax.
 	 */
@@ -1126,9 +1142,9 @@
 			}
 		}
 	}
-
+	
 	@Override
 	public String getResultType() {
 		return IndexCoreMessages.RESULT_TYPE;
 	}
-}
\ No newline at end of file
+}
Index: tmp/org.txm.index.core/src/org/txm/index/core/functions/Line.java
===================================================================
--- tmp/org.txm.index.core/src/org/txm/index/core/functions/Line.java	(revision 2396)
+++ tmp/org.txm.index.core/src/org/txm/index/core/functions/Line.java	(revision 2397)
@@ -35,37 +35,37 @@
 import org.txm.searchengine.cqp.corpus.query.Occurrence;
 
 /**
- * Contains the signature of the line all properties value and counts 
+ * Contains the signature of the line all properties value and counts
  * 
  * @author mdecorde
  * 
  */
 public class Line {
-
+	
 	/** The Units property. */
 	public List<List<String>> UnitsProperty; // the values, for each property there is a list of property values
-
+	
 	/** The Units ids. */
 	public List<int[]> UnitsIds; // the values, for each property there is a list of property values
-
+	
 	/** The properties. */
 	public List<Property> properties = new ArrayList<Property>(); // the properties name UnitsProperty and properties have the same order
-
+	
 	/** The signature. */
 	private String signature;
-
+	
 	/** The counts. */
 	private int[] counts;
-
+	
 	/** The total. */
 	private int total;
-
+	
 	/** The frelatif. */
 	private float frelatif = 0;
-
+	
 	/** The str. */
 	private String str;
-
+	
 	/**
 	 * Instantiates a new line.
 	 */
@@ -73,7 +73,7 @@
 		this.UnitsProperty = new ArrayList<List<String>>();
 		UnitsIds = new ArrayList<int[]>();
 	}
-
+	
 	/**
 	 * add line's values for the given property.
 	 *
@@ -84,7 +84,7 @@
 		UnitsProperty.add(values);
 		// properties.add(p);
 	}
-
+	
 	/**
 	 * add line's values for the given property.
 	 *
@@ -95,7 +95,7 @@
 		UnitsIds.add(ids);
 		properties.add(p);
 	}
-
+	
 	/**
 	 * return the signature of a Line, an id to compare them quickly if L1 ==
 	 * L2, L1.signature = L2.signature else L1.signature != L2.signature
@@ -104,7 +104,7 @@
 	 */
 	public String getSignature() {
 		if (signature == null) {
-			//System.out.println("getSignature() props size "+properties.size());
+			// System.out.println("getSignature() props size "+properties.size());
 			signature = ""; //$NON-NLS-1$
 			for (int i = 0; i < properties.size(); i++) {
 				for (int s : UnitsIds.get(i)) {
@@ -114,7 +114,7 @@
 		}
 		return signature;
 	}
-
+	
 	/**
 	 * Sets the counts.
 	 *
@@ -129,7 +129,7 @@
 		}
 		frelatif = f;
 	}
-
+	
 	/**
 	 * Gets the frequency.
 	 *
@@ -138,7 +138,7 @@
 	public int getFrequency() {
 		return total;
 	}
-
+	
 	/**
 	 * Gets the frequency.
 	 *
@@ -151,7 +151,7 @@
 		}
 		return counts[i];
 	}
-
+	
 	/**
 	 * Gets the properties.
 	 *
@@ -160,7 +160,7 @@
 	public List<Property> getProperties() {
 		return this.properties;
 	}
-
+	
 	/**
 	 * Gets the units properties.
 	 *
@@ -169,17 +169,18 @@
 	public List<List<String>> getUnitsProperties() {
 		return this.UnitsProperty;
 	}
-
+	
 	/**
 	 * Gets the relative frequency.
 	 *
 	 * @return the relative frequency
 	 */
 	public float getRelativeFrenquency() {
-		return frelatif ;
+		return frelatif;
 	}
-
-	/* (non-Javadoc)
+	
+	/*
+	 * (non-Javadoc)
 	 * @see java.lang.Object#toString()
 	 */
 	@Override
@@ -189,7 +190,7 @@
 		}
 		return str;
 	}
-
+	
 	/**
 	 * To string.
 	 *
@@ -199,11 +200,11 @@
 	public String toString(String separator) {
 		String rez = ""; //$NON-NLS-1$
 		int len = 0;
-		for (int i = 0; i < properties.size(); ) {
+		for (int i = 0; i < properties.size();) {
 			len = UnitsProperty.get(i).size();
 			break;
 		}
-
+		
 		for (int i = 0; i < len; i++) { // for each token
 			for (int j = 0; j < properties.size(); j++) {
 				rez += UnitsProperty.get(j).get(i);
@@ -211,14 +212,14 @@
 					rez += separator;
 				}
 			}
-
+			
 			if (i < len - 1) {
 				rez += " "; //$NON-NLS-1$
 			}
 		}
 		return rez;
 	}
-
+	
 	/**
 	 * compare to lines with their signature.
 	 *
@@ -228,7 +229,7 @@
 	public boolean equals(Line l) {
 		return l.getSignature().equals(this.getSignature());
 	}
-
+	
 	/**
 	 * Sets the signature.
 	 *
@@ -237,7 +238,7 @@
 	public void setSignature(String signature) {
 		this.signature = signature;
 	}
-
+	
 	/**
 	 * Gets the frequencies.
 	 *
@@ -246,15 +247,15 @@
 	public int[] getFrequencies() {
 		return counts;
 	}
-
+	
 	/**
 	 * The Class Signature.
 	 */
 	public static class Signature {
-
+		
 		/** The sign. */
 		Occurrence[] sign;// [token][prop]
-
+		
 		/**
 		 * Equals.
 		 *
@@ -262,11 +263,11 @@
 		 * @return true, if successful
 		 */
 		public boolean equals(Signature s) {
-
+			
 			if (sign.length != s.sign.length) {
 				return false;
 			}
-
+			
 			for (int i = 0; i < sign.length; i++) {
 				if (!sign[i].equals(s.sign[i])) {
 					return false;
@@ -275,7 +276,7 @@
 			return true;
 		}
 	}
-
+	
 	/**
 	 * Gets the units ids.
 	 *
Index: tmp/org.txm.index.core/.classpath
===================================================================
--- tmp/org.txm.index.core/.classpath	(revision 2396)
+++ tmp/org.txm.index.core/.classpath	(revision 2397)
@@ -1,12 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <classpath>
-	  <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER"/>
-	  <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins">
-		    <accessrules>
-			      <accessrule kind="accessible" pattern="**"/>
-		    </accessrules>
-	  </classpathentry>
-	  <classpathentry kind="src" path="src"/>
-	  <classpathentry kind="src" path="groovy"/>
-	  <classpathentry kind="output" path="bin"/>
+	<classpathentry kind="con"
+		path="org.eclipse.jdt.launching.JRE_CONTAINER" />
+	<classpathentry kind="con"
+		path="org.eclipse.pde.core.requiredPlugins">
+		<accessrules>
+			<accessrule kind="accessible" pattern="**" />
+		</accessrules>
+	</classpathentry>
+	<classpathentry kind="src" path="src" />
+	<classpathentry kind="src" path="groovy" />
+	<classpathentry kind="output" path="bin" />
 </classpath>
\ No newline at end of file
